
From: maximilian attems <janitor@sternwelten.at>

Fix sedlbauer section references:
  convert __initdata to __devinitdata.

Error: ./drivers/isdn/hisax/sedlbauer.o .text refers to 0000235f R_386_32
.init.data
Error: ./drivers/isdn/hisax/sedlbauer.o .text refers to 0000236e R_386_32
.init.data
Error: ./drivers/isdn/hisax/sedlbauer.o .text refers to 0000238d R_386_32
.init.data
Error: ./drivers/isdn/hisax/sedlbauer.o .text refers to 000023b2 R_386_32
.init.data
Error: ./drivers/isdn/hisax/sedlbauer.o .text refers to 00002417 R_386_32
.init.data
Error: ./drivers/isdn/hisax/sedlbauer.o .text refers to 0000244c R_386_32
.init.data

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/sedlbauer.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/isdn/hisax/sedlbauer.c~sedlbauer-eliminate-bad-section-references drivers/isdn/hisax/sedlbauer.c
--- 25/drivers/isdn/hisax/sedlbauer.c~sedlbauer-eliminate-bad-section-references	Mon Mar 14 15:29:18 2005
+++ 25-akpm/drivers/isdn/hisax/sedlbauer.c	Mon Mar 14 15:29:18 2005
@@ -516,7 +516,7 @@ Sedl_card_msg(struct IsdnCardState *cs, 
 static struct pci_dev *dev_sedl __devinitdata = NULL;
 
 #ifdef __ISAPNP__
-static struct isapnp_device_id sedl_ids[] __initdata = {
+static struct isapnp_device_id sedl_ids[] __devinitdata = {
 	{ ISAPNP_VENDOR('S', 'A', 'G'), ISAPNP_FUNCTION(0x01),
 	  ISAPNP_VENDOR('S', 'A', 'G'), ISAPNP_FUNCTION(0x01), 
 	  (unsigned long) "Speed win" },
@@ -526,7 +526,7 @@ static struct isapnp_device_id sedl_ids[
 	{ 0, }
 };
 
-static struct isapnp_device_id *ipid __initdata = &sedl_ids[0];
+static struct isapnp_device_id *ipid __devinitdata = &sedl_ids[0];
 static struct pnp_card *pnp_c __devinitdata = NULL;
 #endif
 
_
